Bug 8988 - mount chokes when mtab~xxxx backup files are present.
mount chokes when mtab~xxxx backup files are present.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
6.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-30 13:44 EST by Hal Burgiss
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-18 11:55:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hal Burgiss 2000-01-30 13:44:16 EST
I rebooted to find rc.sysinit hanging. I was able to get in
thru a mirrored root partition, and to isolate the hang to
any reference to 'mount -f'. They all would hang init. Trying
to get in with init=/bin/sh would get me in, but had all kinds
of problems with 'mount'. Come to find that /etc/ had a slew of
files like 'mtab~12345', all with permissions of '-------'. Deleting
all these, restored the system's and my sanity. Would suspect
some kind of bug in mount that is trying to access these, but an easy
workaround would be to do a 'rm -f /etc/mtab*' just before '>mtab' in
rc.sysinit.
Comment 1 Hal Burgiss 2000-02-11 20:14:59 EST
I might add the events preceding this problem were tarring
to a mounted floppy.
The floppy filled, and first attempt at umounting failed.
Subsequent attempts
caused mount to hang and consuming all available CPU.
I believe this
is where the first mtab~xxxx file originated. There may
be room for operator error at this point. What I find as
the biggest problem, is that this results in an unbootable
system.
Comment 2 Bernhard Rosenkraenzer 2000-10-10 09:56:52 EDT
Mount is now using mktemp the way it should be.

Note You need to log in before you can comment on or make changes to this bug.